### Constructor

# ICalGLib Parameter new_from_value_string

since: 1.0

#### Declaration [src]

    ICalParameter*
    i_cal_parameter_new_from_value_string (
      ICalParameterKind kind,
      const gchar* value
    )

#### Description [src]

Creates a new `ICalParameter` from just the value, the part after the “=”.

Available since: 1.0

#### Parameters

`kind`

  Type: `ICalParameterKind`

  The kind of `ICalParameter` to be created.

`value`

  Type: `const gchar*`

  The string from which `ICalParameter` to be created.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalParameter`

The newly created `ICalParameter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.